Payment links
Get Payment Link Transactions By Source Reference
List transactions collected through a payment link identified by the merchant source reference.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
sourceReference*string
Query Parameters
page?integer
limit?integer
status?string
search?string
Response Body
application/json
curl -X GET "https://example.com/api/v1/payment-link/source-reference/SRC_PLK_001/transactions"{
"requestId": "abcd1234-5678-90ef-ghij-1234567890kl",
"requestTimestamp": "2026-03-25 09:15:00",
"message": "Payment link transactions fetched successfully.",
"statusCode": 200,
"data": [
{
"id": "txn-id",
"createdAt": "25/03/2026 09:15am",
"reference": "TRN_ABC123",
"customerName": "Jane Doe",
"amount": {
"value": 1000,
"currency": "NGN",
"formatted": "NGN1000"
},
"transactionStatus": "successful",
"settlement": "Pending"
}
],
"links": {},
"meta": {}
}Empty
How is this guide?